freesasa(1)

NAME
FreeSASA @PACKAGE_VERSION@ - calculate Solvent Accessible Surface Areas from PDB files

SYNOPSIS
freesasa PDB-FILE ... [ --shrake-rupley | --lee-richards
    --probe-radius=NUMBER
    --resolution=INTEGER --n-threads=INTEGER
    --radius-from-occupancy | --config-file=FILE | --radii=protor|naccess
    --separate-models | --join-models
    --hetatm --hydrogen
    --separate-chains | --chain-groups=STRING ...
    --unknown=guess|skip|halt
    --cif
    --output=FILE --error-file=FILE --no-warnings
    --select=STRING ...
    --format=log|res|seq|pdb|rsa|xml|json ...
    --depth=structure|chain|residue|atom ]

freesasa [options] < PDB-FILE

freesasa (--help | --version | --deprecated)

DESCRIPTION
Calculate the Solvent Accessible Surface Area (SASA) of biomolecules from PDB files using either Lee & Richards' or Shrake & Rupley's algorithms. Report bugs to: https://github.com/mittinatten/freesasa/issues Home page: http://freesasa.github.io

OPTIONS

  Parameters

-S, --shrake-rupley
    Use Shrake & Rupley algorithm

-L, --lee-richards
    Use Lee & Richards algorithm [default]

-p, --probe-radius NUMBER
    Set probe radius in Angstroms [default: 1.40 Å]

-n, --resolution INTEGER
    Set resolution for calculation.
      S&R: number of test points/atom [default: 100],
      L&R: slices/atom [default: 20].

-t, --n-threads INTEGER
    Number of threads to use [default: 2]

  Atom radii and classes (maximum one of the following)

-O, --radius-from-occupancy
    Read atomic radii from Occupancy in PDB input

-c, --config-file FILE
    Clasifier to determine radii and classes. Example files in 'share/'

--radii protor|naccess
    Use either ProtOr or NACCESS radii and classes [defatul: protor]

  Input options

--cif
    Input is in mmCIF format

-H, --hetatm
    Include HETATM entries from input

-Y, --hydrogen
    Include hydrogen atoms, suppress warnings with -w

-m, --join-models
    Join all MODELs in input into one structure

-C, --separate-chains
    Calculate SASA for each chain separately

-M, --separate-models
    Calculate SASA for each MODEL separately

--unknown guess|skip|halt
    When unknown atom is encountered, either guess its radius/class, skip it, or halt. [default: guess]

-g, --chain-groups LIST
    Each group will be treated separately.

    Examples:
      '-g A', '-g A+B', '-g A -g B', '-g AB+CD'

  Output options

-w, --no-warnings
    Skip most warnings

-o, --output FILE
    Output file

-e, --error-file FILE
    Redirect errors and warnings to file

-f, --format log|res|seq|pdb|rsa|cif|xml|json
    Output format, can be repeated. [default: log]

-d, --depth structure|chain|residue|atom
    Depth of JSON and XML output [default: chain]

--select COMMAND
    Select atoms using Pymol select syntax, can be repeated.

    Examples:
      --select "AR, resn ala+arg", --select "chain_A, chain A"

  Deprecated

These options have been replaced and will disappear in later versions

--rsa
    Equivalent to --format=rsa

-B, --print-as-B-values
    Equivalent to --format=pdb

-r, --foreach-residue-type
    Equivalent to --format=res

-R, --foreach-residue
    Equivalent to --format=seq

-l, --no-log
    Log suppressed if other format selected. Option has no effect.